/**
 * \mainpage 10 komplex szám abszolútértéke
 *
 * \section feladat Feladat
 * Olvassunk be pontosan 10 komplex számot, majd
 * írjuk ki a számokat és abszolútértéküket fordított sorrendben!
 *
 * \section megv Megvalósítás
 * Megvalósítás: funkcionális dekompozicióval
 *
 *
 */
#include <iostream>
#include <math.h>

using std::cin;
using std::cout;
using std::endl;

/**
 * Komplex adatstruktúra
 * Valós és képzetes rész tárolásával
 */
struct Komplex {
	double re, im;
};

/**
 * Abszolútérték
 */
double abs(Komplex k) {       // a pontos adatszerkezetet ismerni kell
  return sqrt(k.re*k.re + k.im*k.im);
}

/**
 * Beolvasás és tárolás
 */
void beolvasas(Komplex t[]) { // a pontos adatszerkezetet ismerni kell
for (int i=0; i<10; i++)
  cin >> t[i].re >> t[i].im;
}

/**
 * Elővétel és kiírás
 */
void kiiras(Komplex t[]) {    // a pontos adatszerkezetet ismerni kell
for (int i=9; i>=0; i--)
  cout << t[i].re << ' ' << t[i].im << ' ' << abs(t[i]) << endl;
}

int main() {
	Komplex t[10];	          // adat
	beolvasas(t);	          // funkciók
	kiiras(t);
	return 0;
}
