/**
 * \mainpage 10 komplex szm abszoltrtke
 *
 * \section feladat Feladat
 * Olvassunk be pontosan 10 komplex szmot, majd
 * rjuk ki a szmokat s abszolt rtkket fordtott sorrendben!
 *
 * \section megv Megvalsts
 * Megvalsts: objektum-orientlt dekompozcival
 * operetor overload hasznlata nlkl.
 *
 * \section korl Korltozs, hinyossgok
 * Nincs indexhatr ellenrzs.
 * Csak a hasznlt metdusokat valstottuk meg.
 *
 */

#include <iostream>
#include <math.h>

using std::cin;
using std::cout;
using std::endl;

/**
 * Komplex osztly
 * Komplex viselkedst megvalst osztly.
 * Most csak a feladat megvalstshoz szksges mveleteket definiljuk
 */
class Komplex {
	double re;		// vals rsz
	double im;		// kpzetes rsz
public:
    void beolvas()   { cin >> re >> im; }               ///< Komplex beolvas
    void kiir()      { cout << re << ' ' << im; }       ///< Komplex kirs
    double abs()     { return sqrt(re*re + im*im); }    ///< abszolt rtk
};

/**
 * KomplexTar osztly
 * Trol ami max 10 komplex szmot tud trolni
 * Az egyszer?sg kedvrt nincs indexhatr ellen?rzs !
 */
class KomplexTar {
    Komplex t[10];      // bels? objektumtmbt tartalmaz a trolshoz
public:
    void tarol(const int i, const Komplex& k) { t[i] = k; } ///< Betesz a trba
    Komplex elovesz(const int i) { return t[i]; }           ///< Kivesz a trbl
};


/**
 * F?program.
 */
int main()
{
    KomplexTar t;       // trol ltrehozsa
    int i;              // nem a for-ban van, hogy visual C++ 6.0 -ban is jo legyen

    for (i = 0; i < 10; i++) {
        Komplex k;      // komplex ltrehozsa
        k.beolvas();    // beolvas a megfelel? formtumban
        t.tarol(i, k);  // trol
    }

    for (i = 9; i >= 0; i--) {
        Komplex k = t.elovesz(i); // definci s inic.
        k.kiir();       // kiir a megfelel? formtumban
        cout << ' ' << k.abs() << endl; // abszolt rtket is
    }
    return 0;
}
